[oe-commits] org.oe.oz354x initscripts: checkroot.sh: enable auto-fsck on boot for ext2 and ext3 rootfs partitions

coredump commit openembedded-commits at lists.openembedded.org
Tue Nov 7 23:08:25 UTC 2006


initscripts: checkroot.sh: enable auto-fsck on boot for ext2 and ext3 rootfs partitions

Author: coredump at openembedded.org
Branch: org.openembedded.oz354x
Revision: 92a648a7cf75e78611e5077aed326f118dca26f1
ViewMTN: http://monotone.openembedded.org/revision.psp?id=92a648a7cf75e78611e5077aed326f118dca26f1
Files:
1
packages/initscripts/initscripts-1.0/checkroot.sh
packages/initscripts/initscripts_1.0.bb
Diffs:

#
# mt diff -r70a8347b599fd37b589809878a9762d566fa245b -r92a648a7cf75e78611e5077aed326f118dca26f1
#
# 
# 
# patch "packages/initscripts/initscripts-1.0/checkroot.sh"
#  from [19468722ba87ee7ddc80367066affa16eaec9f7d]
#    to [e1f948a3c4825d454fd1de8e0e94e88be4087a01]
# 
# patch "packages/initscripts/initscripts_1.0.bb"
#  from [af1e458501c1e9213cdb25c0e15fcbe4d00a6f70]
#    to [8621699cf4b2d16f7d3874532d4c162f02119367]
# 
============================================================
--- packages/initscripts/initscripts-1.0/checkroot.sh	19468722ba87ee7ddc80367066affa16eaec9f7d
+++ packages/initscripts/initscripts-1.0/checkroot.sh	e1f948a3c4825d454fd1de8e0e94e88be4087a01
@@ -47,11 +47,31 @@ do
 	
 	test "$type" = devfs && devfs="$fs"
 
+	# Currently we do not care about the other entries
 	if test "$mnt" = "/"
 	then
-#		echo "[$fs] [$mnt] [$type] [$opts] [$dump] [$pass] [$junk]"
-		rootopts="$opts"
+		#echo "[$fs] [$mnt] [$type] [$opts] [$dump] [$pass] [$junk]"
+
+		rootopts="$opts"		
+		roottype="$type"
+		
 		test "$pass" = 0 -o "$pass" = "" && rootcheck=no
+		
+		# Enable fsck for ext2 and ext3 rootfs, disable for everything else				
+		case "$type" in
+		ext2|ext3)	rootcheck=yes;;
+		*)		rootcheck=no;;
+		esac
+		
+		if test "$rootcheck" = yes
+		then
+			if ! test -x "/sbin/fsck.${roottype}"
+			then
+				echo -e "\n * * * WARNING: /sbin/fsck.${roottype} is missing! * * *\n"
+				rootcheck=no
+			fi
+		fi
+		
 		case "$opts" in
 			ro|ro,*|*,ro|*,ro,*)
 				rootmode=ro
============================================================
--- packages/initscripts/initscripts_1.0.bb	af1e458501c1e9213cdb25c0e15fcbe4d00a6f70
+++ packages/initscripts/initscripts_1.0.bb	8621699cf4b2d16f7d3874532d4c162f02119367
@@ -6,7 +6,7 @@ LICENSE = "GPL"
 DEPENDS_openzaurus = "makedevs virtual/kernel"
 RDEPENDS = "makedevs"
 LICENSE = "GPL"
-PR = "r71"
+PR = "r72"
 
 SRC_URI = "file://halt \
            file://ramdisk \






More information about the Openembedded-commits mailing list